Skip to content

Initiates workflow to process an inventory transaction

Request

This method will auto-generate an ID and create a new inventory transaction. If an ID is specified for the inventory transaction, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The inventory transaction that you would like to be saved.

bin_idstring(Bin)

The bin for this inventory

cancelled_commitment_idstring(Cancelled Commitment)

Self referencing inventory commitment for cancellations

cogs_quantity_remainingnumber, (float)(Cogs Quantity Remaining)

For receipts, the COGS quantity remaining

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of the transaction

ending_quantitynumber, (float)(Ending Quantity)required

For receipts, the ending quantity

idstring(ID)^[\w|-]+$required

The unique, string identifier of this inventory transaction

inventory_receipt_idstring(Inventory Receipt)

Self referencing inventory receipt for adjustments

invoice_numberstring(Invoice Number)

Invoice number for receipts/purchase orders

is_defectiveboolean(Is Defective)

Whether or not this is a defective transaction

notesstring(Notes)

Any important notes

order_idany(Order)
Any of:

The order responsible for this transaction

string
order_line_item_idany(Order Line Item)
Any of:

The order line item responsible for this transaction

string
product_idstring(Product)required

The ID of the product holding this inventory

product_inventory_idstring(Product Inventory)required

The ID of the product inventory to which this transaction is tied

product_skustring(Product Sku)

The product SKU (optional)

product_typestring(Product Type)required

The type of product holding this inventory

purchase_order_idstring(Purchase Order)required

For receipts, the purchase order

quantityinteger(Quantity)required

The quantity of this transaction

quantity_receivednumber, (float)(Quantity Received)required

The quantity received of a purchase order

related_transactionsArray of objects
return_idstring(Return)required

The return responsible for this transaction

return_line_item_idstring(Return Line Item)required

The return line item responsible for this transaction

shipment_idstring(Shipment)

The shipment that generated this transaction

starting_quantitynumber, (float)(Starting Quantity)required

For receipts, the starting quantity

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_product_type_idstring(Sys Product Type)
sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

target_bin_idstring(Target Bin)

For transfers, the target bin

target_product_inventory_idstring(Target Product Inventory)

For transfers, the target warehouse

target_warehouse_idstring(Target Warehouse)required

For transfers, the ID of the target warehouse

total_costnumber, (double)(Total Cost)

The total cost of the receipt

transfer_idstring(Transfer)

The ID of the transfer

typestring(Type)required

The type of inventory

Enum:"adjustment""backorder""commitment""fulfillment""purchase order""receipt""reservation""return""transfer"
unit_costnumber, (double)(Unit Cost)

The unit cost

warehouse_idstring(Warehouse)required

The ID of the warehouse for this product inventory

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/inventoryTransactions/{tenantId}/process' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "bin_id": "string",
    "cancelled_commitment_id": "string",
    "cogs_quantity_remaining": 0.1,
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "date": "2019-08-24T14:15:22Z",
    "ending_quantity": 0.1,
    "id": "string",
    "inventory_receipt_id": "string",
    "invoice_number": "string",
    "is_defective": true,
    "notes": "string",
    "order_id": "string",
    "order_line_item_id": "string",
    "product_id": "string",
    "product_inventory_id": "string",
    "product_sku": "string",
    "product_type": "string",
    "purchase_order_id": "string",
    "quantity": 0,
    "quantity_received": 0.1,
    "related_transactions": [
      {
        "transaction_id": "string",
        "type": "string"
      }
    ],
    "return_id": "string",
    "return_line_item_id": "string",
    "shipment_id": "string",
    "starting_quantity": 0.1,
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_product_type_id": "string",
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "target_bin_id": "string",
    "target_product_inventory_id": "string",
    "target_warehouse_id": "string",
    "total_cost": 0.1,
    "transfer_id": "string",
    "type": "adjustment",
    "unit_cost": 0.1,
    "warehouse_id": "string"
  }'

Responses

The inventory transaction was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
executionArnstring(Executionarn)required

The arn of the execution

notification_channelstring(Notification Channel)

The id of the channel where progress updates will be posted

notification_publishKeystring(Notification Publishkey)

The publish key for the channel where progress updates will be posted

notification_subscribeKeystring(Notification Subscribekey)

The subscribe key for the channel where progress updates will be posted

start_datestring, (date-time)(Start Date)

The start date of the execution

Response
{ "executionArn": "string", "notification_channel": "string", "notification_publishKey": "string", "notification_subscribeKey": "string", "start_date": "2019-08-24T14:15:22Z" }